# $Id: smeserver-password.spec,v 1.11 2008/09/28 02:58:38 dungog Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-password
%define version 1.0.0
%define release 18

Summary: SME Server password panel
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-password-1.0.0-locale-2008-03-11.patch
Patch1: smeserver-password-1.0.0-locale-2008-04-01.patch
Patch2: smeserver-password-1.0.0-initdb.patch
Patch3: smeserver-password-1.0.0-locale-2008-04-22.patch
Patch4: smeserver-password-1.0.0-add2general.patch
Patch5: smeserver-password-1.0.0-locale-2008-05-07.patch
Patch6: smeserver-password-1.0.0-locale-2008-05-21.patch
Patch7: smeserver-password-1.0.0-Acctinfo.patch
Patch8: smeserver-password-1.0.0-locale-2008-05-30.patch
Patch9: smeserver-password-1.0.0-locale-2008-07-01.patch
Patch10: smeserver-password-1.0.0-locale-2008-09-27.patch
Patch11: smeserver-password-1.0.0-locale-2008-10-14.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-formmagick >= 1.4.0-12

%description
Smeserver addon panel to change password strength and password ageing

%changelog
* Tue Oct 14 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-18
- Apply 14 Oct 2008 locale patch

* Sun Sep 28 2008 Stephen Noble <support@dungog.net> - 1.0.0-17
- Apply locale patch

* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-16
- Apply 1 July 2008 locale patch

* Fri May 30 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-15
- Apply 30 May 2008 locale patch

* Sat May 24 2008 Stephen Noble <support@dungog.net> - 1.0.0-14
- rewrite user-passwd-expiration [SME 4361]

* Thu May 21 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-13
- Apply 21 May 2008 locale patch
- Fixing changelog version entries

* Mon May 7 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-12
- Apply 7 May 2008 locale patch
- Removed missing patch of 5 May 2008, seems not committed and is 
  superseeded by the one from 7 May 2008

* Mon May 5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-11
- Apply 5 May 2008 locale patch

* Sat Apr 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-10
- Add common <base> tags to e-smith-formmagick's general

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-9
- Added 22 April 2008 locale patch
- Moved db defaults out of spec file

* Tue Apr 1 2008 Shad L. Lords <slords@mail.com> 1.0.0-8
- Update to UTF-8 translations

* Tue Mar 11 2008 Stephen Noble <support@dungog.net> - 1.0.0-7
- update locale 2008-03-11

* Sat Mar 01 2008 Stephen Noble <support@dungog.net> - 1.0.0-6
- build on smecontribs
- default password aging = no

* Sat Mar 01 2008 Stephen Noble <support@dungog.net> - 1.0.0-5
- removed Italian lexicon for now
- removed <trans> values in general
- moved from collaboration to security

* Wed Jun 20 2007 Blaz <gxs@sishell.net>,Stefano Zamboni <zamboni@mind-at-work.it>
- 1.0.0-04
- Added functions to lock account and reset password age

* Wed Jan 24 2007 Blaz <gxs@sishell.net>
- 1.0.0-03
- Cosmetics fixes
- English typos fixing

* Wed Jan 24 2007 Stefano Zamboni <zamboni@mind-at-work.it>
- 1.0.0-02
- completed english translation

* Fri Jan 12 2007 Stefano Zamboni <zamboni@mind-at-work.it>
- 1.0.0-01
- Original version

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
LEXICONS=$(find root/etc/e-smith/locale/ -type f )

for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done

perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
%clean
rm -rf $RPM_BUILD_ROOT
%post
true
%postun
true
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
